View Issue Details

IDProjectCategoryView StatusLast Update
13504Bug reports[All Projects] Otherpublic2018-03-28 12:14
Reportereloner Assigned Toollehar  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.5.x 
Summary13504: Crash after "Check integrity"
Description

If I select "Check data integrity" from the main menu I get this error:
Internal Server Error
CDbCommand ha riportato un errore nell'esecuzione della query SQL: SQLSTATE[42000]: Syntax error or access violation: 1055 Expression #1 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'limesurvey6.q.question_order' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by

Un errore interno รจ occorso mentre il server web stava elaborando la tua richiesta. Contatta cortesemente the webmaster per avvisarlo dell'errore.

Grazie.

Steps To Reproduce

Open Lime, Select Check data integrity form Configuration --> Advanced

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.5.2+180315
I will donate to the project if issue is resolvedNo
BrowserMozilla
Database & DB-VersionMySql Ver 14.14 Distrib 5.7.21
Server OS (if known)Ubuntu 16.04.4 LTS
Webserver software & version (if known) Apache/2.4.18 (Ubuntu)
PHP VersionPHP 7.1.15-1+ubuntu16.04.1+deb.sury.org+2 (cli)

Activities

ollehar

ollehar

2018-03-22 09:59

administrator   ~47172

Fixed by this commit: https://github.com/LimeSurvey/LimeSurvey/commit/7f7e20f56958fef1c65f69e11407dc1cf952c86a

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47255

Version 3.6.0 released

Issue History

Date Modified Username Field Change
2018-03-20 13:51 eloner New Issue
2018-03-21 18:44 c_schmitz Assigned To => ollehar
2018-03-21 18:44 c_schmitz Status new => assigned
2018-03-22 09:59 ollehar Note Added: 47172
2018-03-22 09:59 ollehar Status assigned => resolved
2018-03-22 09:59 ollehar Resolution open => fixed
2018-03-22 09:59 ollehar Fixed in Version => 3.5.x
2018-03-28 12:14 c_schmitz Note Added: 47255
2018-03-28 12:14 c_schmitz Status resolved => closed